﻿@model PanelVerifyDetailViewModel
@{
    Layout = "~/Views/Shared/_PanelVerificationLayout.cshtml";
    ViewBag.Title = "وضعیت احراز هویت";
}

<div class="actions-toolbar py-2 mb-4">
    <h5 class="mb-1">@ViewBag.Title</h5>
    <p class="text-sm text-muted mb-0">جهت خرید با درگاه بانکی چک لیست احراز هویت باید کامل انجام شود.</p>
</div>

<div class="row">
    <div class="col-12">
        <div class="table-responsive">
            <table class="table table-hover table-cards align-items-center">
                <thead>
                    <tr>
                        <th>
                            وضعیت
                        </th>
                        <th>
                            توضیحات
                        </th>
                        <th>
                            عملیات
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td class="text-center">
                            @if (Model.InformationCompleted)
                            {
                                <i class="fas fa-check text-success"></i>
                            }
                            else
                            {
                                <i class="far fa-times text-danger"></i>
                            }
                        </td>
                        <td>
                            <b>وارد کردن اطلاعات شخصی</b>
                            <br />
                            @if (!Model.InformationCompleted)
                            {
                                <small>
                                    نام، نام خانوادگی، نام پدر و کد ملی خود را در قسمت اطلاعات شخصی حساب کاربری وارد نمایید.
                                </small>
                            }
                        </td>
                        <td class="text-right">
                            <a class="btn btn-sm btn-primary" href="@Url.Action("VerifyInfo")">
                                <i class="fas fa-arrow-left d-md-none"></i>
                                <span class="d-none d-md-block">
                                    وارد کردن اطلاعات
                                </span>
                            </a>
                        </td>
                    </tr>
                    <tr class="table-divider"></tr>
                    <tr>
                        <td class="text-center">
                            @if (Model.EmailPhoneConfirmed)
                            {
                                <i class="fas fa-check text-success"></i>
                            }
                            else
                            {
                                <i class="far fa-times text-danger"></i>
                            }
                        </td>
                        <td>
                            <b>تایید ایمیل و موبایل</b>
                            <br />
                            @if (!Model.EmailPhoneConfirmed)
                            {
                                <small>
                                    یک ایمیل حاوی لینک و یک کد تایید موبایل برایتان ارسال می شود.
                                </small>
                            }
                        </td>
                        <td class="text-right">
                            <a class="btn btn-sm btn-primary" href="@Url.Action("VerifyPhoneEmail")">
                                <i class="fas fa-arrow-left d-md-none"></i>
                                <span class="d-none d-md-block">
                                    تایید ایمیل و موبایل
                                </span>
                            </a>
                        </td>
                    </tr>
                    <tr class="table-divider"></tr>
                    <tr>
                        <td class="text-center">
                            @if (Model.IdentityCompleted)
                            {
                                <i class="fas fa-check text-success"></i>
                            }
                            else
                            {
                                <i class="far fa-times text-danger"></i>
                            }
                        </td>
                        <td>
                            <b>ارسال و تایید مدارک</b>
                            <br />
                            @if (!Model.IdentityCompleted)
                            {
                                <small>
                                    مدرک شناسایی به همراه کارت بانکی به صورت سلفی طبق روش اعلام شده ارسال نمایید.
                                </small>
                            }
                        </td>
                        <td class="text-right">
                            <a class="btn btn-sm btn-primary" href="@Url.Action("VerifyBankCard")">
                                <i class="fas fa-arrow-left d-md-none"></i>
                                <span class="d-none d-md-block">
                                    ارسال مدارک
                                </span>
                            </a>
                        </td>
                    </tr>
                    <tr class="table-divider"></tr>
                    <tr>
                        <td class="text-center">
                            @if (Model.BankCardCompleted)
                            {
                                <i class="fas fa-check text-success"></i>
                            }
                            else
                            {
                                <i class="far fa-times text-danger"></i>
                            }
                        </td>
                        <td>
                            <b>افزودن کارت بانکی</b>
                            <br />
                            @if (!Model.IdentityCompleted)
                            {
                                <small>
                                    شماره کارت های بانکی که به نام شما باشد و قصد دارید با آن ها با ما وارد مبادله می شوید را وارد نمایید.
                                </small>
                            }
                        </td>
                        <td class="text-right">
                            <a class="btn btn-sm btn-primary" href="@Url.Action("VerifyBankCard")">
                                <i class="fas fa-arrow-left d-md-none"></i>
                                <span class="d-none d-md-block">
                                    افزودن کارت بانکی
                                </span>
                            </a>
                        </td>
                    </tr>
                    <tr class="table-divider"></tr>
                    <tr>
                        <td class="text-center">
                            @if (Model.LocationCompleted)
                            {
                                <i class="fas fa-check text-success"></i>
                            }
                            else
                            {
                                <i class="far fa-times text-danger"></i>
                            }
                        </td>
                        <td>
                            <b>تایید محل سکونت یا کار</b>
                            <br />
                            @if (!Model.LocationCompleted)
                            {
                                <small>
                                    جهت تایید محل سکونت شماره تماس ثابت برای برقراری تماس توسط همکاران ما وارد نمایید و زمان تماس را مشخص نمایید. در صورت نداشتن تلفن ثابت روش های دیگر را انجام دهید.
                                </small>
                            }
                        </td>
                        <td class="text-right">
                            <a class="btn btn-sm btn-primary" href="@Url.Action("VerifyLocation")">
                                <i class="fas fa-arrow-left d-md-none"></i>
                                <span class="d-none d-md-block">
                                    تایید محل سکونت
                                </span>
                            </a>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>